Skip to content

Access Control

All operations require authentication.

4 operationsv1/cloud/project
Agent setup

List project ACLsProduction

GET
/1.0/cloud/project/{serviceName}/acl

List project ACLs. Returns the OVHcloud accounts that have access to the project. Filter by access type with the type parameter.

Path parameters

serviceName
required
string

The project id

Query parameters

type
AclTypeEnum

Filter the value of type property (=)

ValuesreadOnlyreadWrite

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a project ACLProduction

GET
/1.0/cloud/project/{serviceName}/acl/{accountId}

Get a project ACL. Returns the access type of one OVHcloud account on the project: read-only or read-write.

Path parameters

accountId
required
string

OVH customer unique identifier

serviceName
required
string

The project id

Response

200Aclsuccessful operation
accountId
read-only
string

OVH customer unique identifier

type
read-only
AclTypeEnum

ACL type

ValuesreadOnlyreadWrite

Example uses accountId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/acl/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string", "type": "readOnly"}

Grant access to the projectProduction

POST
/1.0/cloud/project/{serviceName}/acl

Grant access to the project. Gives another OVHcloud account read-only or read-write access to the project.

Path parameters

serviceName
required
string

The project id

Request body (required)

accountId
required
string

Deleguates rights to

type
required
AclTypeEnum

Acl type

ValuesreadOnlyreadWrite

Response

200Aclsuccessful operation
accountId
read-only
string

OVH customer unique identifier

type
read-only
AclTypeEnum

ACL type

ValuesreadOnlyreadWrite

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string", "type": "readOnly"}

Revoke access to the projectProduction

DELETE
/1.0/cloud/project/{serviceName}/acl/{accountId}

Path parameters

accountId
required
string

OVH customer unique identifier

serviceName
required
string

The project id

Response

200—successful operation

Example uses accountId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cloud/project/{serviceName}/acl/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"